Skip to main content
GET
/
public
/
user
/
mobile
/
list
Generated Mobile List
curl --request GET \
  --url https://api.byteful.com/1.0/public/user/mobile/list \
  --header 'X-API-Private-Key: <api-key>' \
  --header 'X-API-Public-Key: <api-key>'
import requests

url = "https://api.byteful.com/1.0/public/user/mobile/list"

headers = {
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'X-API-Private-Key': '<api-key>', 'X-API-Public-Key': '<api-key>'}
};

fetch('https://api.byteful.com/1.0/public/user/mobile/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    "socks5h://1_oGDQZ_c_gb_city_norwich_m_general_s_DDINPY7TQ0781XEO:[email protected]:8000",
    "socks5h://1_oGDQZ_c_gb_city_norwich_m_general_s_XIINPY7TQ0781XEA:[email protected]:8000"
  ],
  "message": "Mobile list successfully generated."
}

Authorizations

X-API-Private-Key
string
header
required

Private API key for user-level authentication.

X-API-Public-Key
string
header
required

Public API key for user-level authentication.

Query Parameters

list_count
integer
default:100

Number of proxies to return in the list.

Required range: 1 <= x <= 1000
list_format
enum<string>
default:standard

Desired format for the proxies (e.g., "http", "https", "socks5", "socks5h", or "standard").

Available options:
standard,
http,
https,
socks5,
socks5h
proxy_user_id
string

ID of the proxy_user you want to use to authenticate with the proxies.

list_session_type
enum<string>
default:sticky

Session type of the mobile proxies you want returned in the search list.

Available options:
sticky,
rotating
country_id
string

ISO Country Code (ISO 3166-1 alpha-2) to generate mobile proxies in.

city_id
integer

ID of the City to generate mobile proxies in.

city_alias
string

Alias of the City to generate mobile proxies in.

zip_code_id
integer

ID of the Zip Code to generate mobile proxies in.

subdivision_id
integer

ID of the US Subdivision to generate the mobile proxies in.

list_smartpath_enabled
boolean

Is SmartPath enabled for the mobile proxies you want returned in the search list.

list_session_ttl
string

The session ttl of the mobile proxies you want returned in the search list

list_mode
enum<string>
default:general

Desired mode for mobile network optimization

Available options:
general,
size,
speed

Response

200 - application/json

Mobile list successfully generated.

data
string[]

List of mobile proxies.

Example:
[
"socks5h://1_oGDQZ_c_gb_city_norwich_m_general_s_DDINPY7TQ0781XEO:[email protected]:8000",
"socks5h://1_oGDQZ_c_gb_city_norwich_m_general_s_XIINPY7TQ0781XEA:[email protected]:8000"
]
message
string

Success message.

Example:

"Mobile list successfully generated."